> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all CPLCs

> Retrieves the list of all professional licenses and certifications, including ones that are disabled for verification.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /service/cplc/list/all
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /service/cplc/list/all:
    get:
      tags:
        - Services
      summary: Get all CPLCs
      description: >-
        Retrieves the list of all professional licenses and certifications,
        including ones that are disabled for verification.
      operationId: get-service-cplc-list-filter
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - cplcList
                properties:
                  cplcList:
                    type: array
                    items:
                      $ref: '#/components/schemas/CPLC'
              examples:
                Example 1:
                  value:
                    cplcList:
                      - id: f269f4d6-6ed7-4d1b-8ed5-230ccc88f41b
                        name: BLS Certification
                        category: Healthcare
                        enabled: true
                        crStamp: '2021-08-06T06:13:14.000Z'
                        modStamp: '2021-08-06T06:13:14.000Z'
                      - id: fabeb100-5417-400b-81b6-d2e7402d019c
                        name: CST
                        category: Healthcare
                        enabled: true
                        crStamp: '2021-08-05T21:38:17.000Z'
                        modStamp: '2021-08-05T21:38:17.000Z'
        '403':
          description: Forbidden
        '500':
          description: Internal Server Error
components:
  schemas:
    CPLC:
      title: CPLC
      type: object
      required:
        - id
        - name
        - category
        - enabled
        - crStamp
        - modStamp
      properties:
        id:
          description: >
            The [unique identifier](docs/reference/cplc.md) of a professional
            license or certification.
          type: string
        name:
          description: >-
            The [name](docs/reference/cplc.md) of the professional license or
            certification.
          type: string
        category:
          type: string
          enum:
            - Finance
            - General
            - Healthcare
            - Other
          description: >-
            The category that the professional license or certification falls
            under.
        enabled:
          type: boolean
          description: >-
            True if verification of the professional license or certification is
            enabled in KarmaCheck; false otherwise.
        crStamp:
          type: string
          format: date-time
          example: '2021-08-06T02:08:35.000Z'
        modStamp:
          type: string
          format: date-time
          example: '2021-08-06T02:08:35.000Z'
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````